Developers of the open-source Metasploit penetration testing toolkit have released code that can compromise Microsoft's Internet Explorer browser, but the software is not as reliable as first thought.

The code exploits an Internet Explorer bug that was disclosed last Friday in a proof-of-concept attack posted to the Bugtraq mailing list. That first code was unreliable, but security experts worried that someone would soon develop a better version that would be adopted by cyber-criminals.

The original attack used a 'heap-spray' technique to exploit the vulnerability in IE. But for a while on Wednesday, it looked as though the Metasploit team had released a more reliable exploit.

They used a different technique to exploit the flaw, one pioneered by researchers Alexander Sotirov and Marc Dowd, but Metasploit eventually pulled its code.

"The bug itself is unreliable," Metasploit developer HD Moore said in a Twitter message. The Metasploit code tried to exploit the flaw in two ways, one of which was "problematic", and the other of which was the heap-spray technique that had already been ineffective.

Microsoft said that it was "currently unaware of any attacks in the wild using the exploit code or of any customer impact".

That's good news for IE users, as a reliable attack would affect a lot of people. The two versions of the browser that are vulnerable to the flaw - IE 6 and IE 7 - are used by about 40 percent of web surfers.

The company has issued a Security Advisory that offers workarounds to guard against the flaw. According to Microsoft, the newer IE 8 browser is not affected by it.

The flaw lies in the way IE retrieves certain Cascading Style Sheet (CSS) objects, used to create a standardized layout on Web pages. Concerned IE users can upgrade their browser or disable JavaScript to avoid an attack.

See also:

PC security advice